﻿
Partial Class Datagriddata
    Inherits System.Web.UI.Page


    Protected Sub OnRowEditing(sender As Object, e As GridViewEditEventArgs)
        GridView1.EditIndex = e.NewEditIndex
        Me.BindGrid()
    End Sub

    Private Sub form1_Load(sender As Object, e As EventArgs) Handles form1.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub
    Protected Sub OnRowUpdating(sender As Object, e As GridViewUpdateEventArgs)
        Dim row As GridViewRow = GridView1.Rows(e.RowIndex)
        Dim customerId As Integer = Convert.ToInt32(GridView1.DataKeys(e.RowIndex).Values(0))
        Dim name As String = TryCast(row.FindControl("txtName"), TextBox).Text
        Dim country As String = TryCast(row.FindControl("txtCountry"), TextBox).Text
        Dim service As New CRUDSERVICES.ServiceSoapClient
        service.Update(customerId, name, country)
        GridView1.EditIndex = -1
        Me.BindGrid()
    End Sub
    Protected Sub Insert(sender As Object, e As EventArgs)
        Dim service As New CRUDSERVICES.ServiceSoapClient
        service.Insert(txtName.Text.Trim(), txtCountry.Text.Trim())
        Me.BindGrid()
    End Sub
    Protected Sub OnRowCancelingEdit(sender As Object, e As EventArgs)
        GridView1.EditIndex = -1
        Me.BindGrid()
    End Sub
    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow AndAlso e.Row.RowIndex <> GridView1.EditIndex Then
            TryCast(e.Row.Cells(2).Controls(2), LinkButton).Attributes("onclick") = "return confirm('Do you want to delete this row?');"
        End If
    End Sub
    Protected Sub OnRowDeleting(sender As Object, e As GridViewDeleteEventArgs)
        Dim customerId As Integer = Convert.ToInt32(GridView1.DataKeys(e.RowIndex).Values(0))
        Dim service As New CRUDSERVICES.ServiceSoapClient
        service.Delete(customerId)
        Me.BindGrid()
    End Sub
    Private Sub BindGrid()
        ' Dim service As New CRUD_ServiceVB.ServiceVB()
        Dim services As New CRUDSERVICES.ServiceSoapClient
        GridView1.DataSource = services.[Get]()
        ' GridView1.DataSource = service.[get]()
        GridView1.DataBind()
    End Sub

End Class
